## mame 0.149

=== debian/changelog ===
mame (0.149-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/control: updated deps according to new debugger based on QT
  * debian/patches:
    + updated gnu fixes
    + removed check for gcc 4.6 fix, accepted upstream
    + reworked manpages after forwarding previous patch upstream
  * debian/rules: removed erase-upstream target
  * mess-data: updated keymap files location

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 12 Jun 2013 09:54:12 +0200

mame (0.148-1) experimental; urgency=low

  [ Cesare Falco ]
  * New upstream release
  * debian/patches:
    + Reworked updates to man pages, removed those previously accepted upstream
    + Fix check for gcc 4.6 in makefile
  * debian/watch
    + Download mamexxxs.exe, smaller than mamexxxs.zip
  * debian/rules:
    + Unset BUILD_MIDILIB flag to allow linking system Portmidi library
    + Removed trailing CR stripping, not needed any more by gcc/g++/patch
    + Reworked get-orig-source for main mame tarball
  * Removed mess-related man pages, accepted upstream
  * Split mame-extra stuff into a separate source package
  * Rearranged distribution of documentation in binary packages

  [ Jordi Mallach ]
  * Add get-orig-source to PHONY.
  * Use default compression for the debian tar.

 -- Jordi Mallach <jordi@debian.org>  Thu, 28 Mar 2013 23:51:51 -0500

mame (0.147-2) experimental; urgency=low

  [ Jordi Mallach ]
  * Fix mame-extra's description.
  * Add necessary Breaks/Replaces for the nplayers.ini move to mame-extra.

  [ Emmanuel Kasper ]
  * Removing -mtune=generic build options: optimizing gain is minimal
    and segfault on i386 may occured if we use it

 -- Jordi Mallach <jordi@debian.org>  Tue, 08 Jan 2013 00:40:39 +0100

mame (0.147-1) experimental; urgency=low

  [ Cesare Falco ]
  * New upstream release
  * Updated quilt patches
  * Removed all transitional packages related to xmame and sdlmame
  * Mess source imported in Mame project; packages merged accordingly
  * mame.ini:
    - pointed hash- and ctrlrpath entries to mess-data directories
  * mess.ini:
    - added uimodekey entry (default doesn't work)
  * New mame-extra packages for additional files:
    - nplayers.ini (moved from mame)
    - history.dat (new)
  * debian/copyright:
    - added history file
    - various fixes
  * debian/rules:
    - Removed duplicate NOWERROR make variable in debian/rules
    - Changelogs removed upstream
    - Added targets for Mess and tools
    - get-orig-source:
      + retrieve .exe, significantly smaller than .zip
      + added rules for history file
  * debian/watch: added history file

  [ Jon Dowland ]
  * Remove deprecated dm-upload-allowed from the control file.

  [ Emmanuel Kasper ]
  * Remove Felix and Ludo from Uploaders, following request in private mail.
  * Bump Standards-Version to 3.9.4

  [ Jordi Mallach ]
  * Avoid using xz -9, both for generated tarballs and binaries; gains us
    little and is a big burden for some buidds.

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Jan 2013 16:35:27 +0100
