## mame 0.152

=== debian/changelog ===
mame (0.152-0ubuntu2) trusty; urgency=medium

  * Add build configuration for arm64 and ppc64el.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Mar 2014 11:25:29 +0000

mame (0.152-0ubuntu1) trusty; urgency=low

  * New upstream release 
  * debian/control:
    + Bump debhelper version
    + Remove dep on gcc 4.6 (use distro default)
    + Make dep on QT stricter, 4.7 or more (upstream recommendation)
    + Add dep on subversion, used by get-orig-source
  * debian/rules:
    + get-orig-source: retrieve source from svn (upstream recommendation)

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 11 Feb 2014 00:05:14 +0100

mame (0.151-1) UNRELEASED; urgency=low

  * New upstream release 
  * debian/patches:
    - removed manpages updates, accepted upstream
    - removed hack to set document root, now read from ini files

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 05 Nov 2013 22:12:38 +0100

mame (0.150-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/patches:
    + updated gnu fixes
    + updated man pages
    + new: set the internal webserver document root

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 23 Sep 2013 15:35:55 +0200

mame (0.149-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/control: updated deps according to new debugger based on QT
  * debian/patches:
    + updated gnu fixes
    + removed check for gcc 4.6 fix, accepted upstream
    + reworked manpages after forwarding previous patch upstream
  * debian/rules: removed erase-upstream target
  * mess-data: updated keymap files location

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 12 Jun 2013 09:54:12 +0200
