=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
-Build-Depends: debhelper (>= 8),
- gcc-4.6,
- g++-4.6,
+Build-Depends: debhelper (>= 9),
  libexpat1-dev,
  libflac-dev,
  libfontconfig1-dev,
  libjpeg8-dev,
  libportmidi-dev,
- libqt4-dev,
+ libqt4-dev (>= 4.7),
  libsdl-ttf2.0-dev,
  libsdl1.2-dev,
  libxinerama-dev,
+ subversion,
  python-dev,
  zlib1g-dev
 Standards-Version: 3.9.4
