=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,14 @@
     BIGENDIAN=
 endif
 
+ifeq ($(DEB_HOST_ARCH),arm64)
+DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
+    PTR64=1 \
+    NOASM=1 \
+    BIGENDIAN=
+endif
+
 ifeq ($(DEB_HOST_ARCH),i386)
 DEB_OPTS += \
     FORCE_DRC_C_BACKEND= \
@@ -90,6 +98,14 @@
     FORCE_DRC_C_BACKEND=1 \
     NOASM= \
     BIGENDIAN=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
+    PTR64=1 \
+    NOASM=1 \
+    BIGENDIAN=
 endif
 
 ifeq ($(DEB_HOST_ARCH),s390)
@@ -168,29 +184,26 @@
 	dh_install --exclude=OSX.txt
 
 
-# Convert upstream sources from zip to tar.xz
+# Retrieve source from svn repo (recommended by upstream developers)
 VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
-
-AGENT = Debian MAME Packagers <mame@packages.debian.org>
 TMPDIR := $(shell mktemp --dry-run --directory -p .)
 
 MAME_PACKAGE = mame
 # Upstream source has no dot in its name, so we have to cut it out
 MAME_VERSION := $(shell echo $(VERSION) | sed -e 's/\.//' )
-MAME_URL = http://mamedev.org/downloader.php?file=releases/
-MAME_SRCFILE = $(MAME_PACKAGE)$(MAME_VERSION)s.exe
+MAME_URL = svn://dspnet.fr/mame/
+MAME_TAG = tags/$(MAME_PACKAGE)$(MAME_VERSION)
+MAME_SRCDIR = $(MAME_PACKAGE)-$(VERSION)
 MAME_TARBALL = $(MAME_PACKAGE)_$(VERSION).orig.tar.xz
 
-$(MAME_SRCFILE):
-	wget -U '$(AGENT)' $(MAME_URL)$(MAME_SRCFILE) -O $(MAME_SRCFILE)
-
-$(MAME_TARBALL): $(MAME_SRCFILE)
+get-orig-source:
 	mkdir $(TMPDIR)
-	7z x -o$(TMPDIR)/$(MAME_PACKAGE)-$(VERSION) $(MAME_SRCFILE)
-	tar -C $(TMPDIR) -acvf $(MAME_TARBALL) $(MAME_PACKAGE)-$(VERSION)
+	svn export $(MAME_URL)$(MAME_TAG) $(TMPDIR)/$(MAME_SRCDIR)
+	svn export $(MAME_URL)build/whatsnew/whatsnew_$(MAME_VERSION).txt \
+        $(TMPDIR)/$(MAME_SRCDIR)/whatsnew.txt
+	svn export $(MAME_URL)build/messnew/messnew_$(MAME_VERSION).txt \
+        $(TMPDIR)/$(MAME_SRCDIR)/messnew.txt
+	tar -C $(TMPDIR) -cf - $(MAME_SRCDIR) | xz -9c > $(MAME_TARBALL)
 	rm -rf $(TMPDIR)
-	rm -f $(MAME_SRCFILE)
-
-get-orig-source: $(MAME_TARBALL)
 
 .PHONY: get-orig-source
