## mame 0.154

=== debian/changelog ===
mame (0.154-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change dependency to libjpeg-dev. Closes: #765822

 -- Andreas Barth <aba@ayous.org>  Wed, 21 Oct 2014 21:54:14 +0000

mame (0.154-3) unstable; urgency=medium

  * Build embedded libportmidi for kfreebsd and hurd archs
    (libportmidi-dev not available)
  * Removed lintian warnings:
    + Fixed License: headers in debian/copyright:
      - Added some short names
      - Removed unused paragraph CC-BY-3.0
    + Improved hardening:
      - Use dpkg-buildflags in debian/rules
      - Bump to level 9 in debian/compat
  * Make specific build options override general ones

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 09 Oct 2014 19:42:34 +0200

mame (0.154-2) unstable; urgency=medium

  * debian/rules: Reworked arch specific variables (FTBFS arm64 ppc64el)

 -- Cesare Falco <c.falco@ubuntu.com>  Sat, 30 Aug 2014 10:43:04 +0200

mame (0.154-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/control:
    + Bump debhelper version
    + Added dep on libsqlite3
  * debian/patches: updated manpages

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 12 Aug 2014 20:34:04 +0200

mame (0.153-1) UNRELEASED; urgency=low

  * New upstream release
  * mame-tools: added floptool utility
  * debian/patches: updated manpages

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 14 Apr 2014 22:46:19 +0200

mame (0.152-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/control:
    + Bump debhelper version
    + Remove dep on gcc 4.6 (use distro default)
    + Make dep on QT stricter, 4.7 or more (upstream recommendation)
    + Add dep on subversion, used by get-orig-source
  * debian/rules:
    + get-orig-source: retrieve source from svn (upstream recommendation)

 -- Cesare Falco <c.falco@ubuntu.com>  Tue, 11 Feb 2014 00:05:14 +0100
