=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: mame
 Section: non-free/games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Cesare Falco <c.falco@ubuntu.com>,
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper (>= 9),
  libexpat1-dev,
  libflac-dev,
  libfontconfig1-dev,
- libjpeg8-dev,
- libportmidi-dev,
+ libjpeg-dev,
+ libportmidi-dev [!hurd-any !kfreebsd-any],
  libqt4-dev (>= 4.7),
  libsdl-ttf2.0-dev,
  libsdl1.2-dev,
+ libsqlite3-dev,
  libxinerama-dev,
  subversion,
  python-dev,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-games/mame.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/mame.git
 Homepage: http://mamedev.org/
