=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,12 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 # Default/i386/amd64 options from sdlmame rules file by Cesare Falco.
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-CFLAGS = -Wall -g
-
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
 
 # taken verbatim from debian policy
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -23,16 +23,20 @@
 DEB_OPTS = \
     OSD=sdl \
     CROSS_BUILD_OSD= \
+    BIGENDIAN= \
     NOASM=1 \
     PREFIX= \
     SUFFIX= \
     DEBUG= \
+    NO_USE_QTDEBUG=1 \
     PROFILER= \
+    FORCE_DRC_C_BACKEND=1 \
     NOWERROR=1 \
     MACOSX_USE_LIBSDL= \
     BUILD_EXPAT= \
     BUILD_ZLIB= \
     BUILD_JPEGLIB= \
+    BUILD_SQLITE3= \
     BUILD_MIDILIB= \
     BUILD_FLAC= \
     SYMBOLS= \
@@ -41,9 +45,7 @@
     PROFILE= \
     MAP= \
     VERBOSE= \
-    OPTIMIZE= \
-    LDFLAGS="-Wl,--as-needed" \
-    LDFLAGSEMULATOR="-Wl,--as-needed"
+    OPTIMIZE=
 
 # Override make variables for specific archs
 # Linux architectures
@@ -51,79 +53,63 @@
 DEB_OPTS += \
     FORCE_DRC_C_BACKEND= \
     PTR64=1 \
+    NOASM=
+endif
+
+ifeq ($(DEB_HOST_ARCH),arm64)
+DEB_OPTS += \
+    PTR64=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),i386)
+DEB_OPTS += \
+    FORCE_DRC_C_BACKEND= \
+    PTR64= \
+    NOASM=
+endif
+
+ifeq ($(DEB_HOST_ARCH),ia64)
+DEB_OPTS += \
+    PTR64=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),mips)
+DEB_OPTS += \
+    ARCHOPTS=-Umips \
+    BIGENDIAN=1
+endif
+
+ifeq ($(DEB_HOST_ARCH),mipsel)
+DEB_OPTS += \
+    ARCHOPTS=-Umips
+endif
+
+ifeq ($(DEB_HOST_ARCH),powerpc)
+DEB_OPTS += \
+    ARCHOPTS=-Upowerpc \
     NOASM= \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),arm64)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
-    PTR64=1 \
-    NOASM=1 \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),i386)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND= \
-    PTR64= \
-    NOASM= \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),ia64)
-DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
-    PTR64=1 \
-    NOASM=1 \
-    BIGENDIAN=
-endif
-
-ifeq ($(DEB_HOST_ARCH),mips)
-DEB_OPTS += \
-    ARCHOPTS=-Umips \
-    FORCE_DRC_C_BACKEND=1 \
-    BIGENDIAN=1
-endif
-
-ifeq ($(DEB_HOST_ARCH),mipsel)
-DEB_OPTS += \
-    ARCHOPTS=-Umips \
-    FORCE_DRC_C_BACKEND=1
-endif
-
-ifeq ($(DEB_HOST_ARCH),powerpc)
-DEB_OPTS += \
-    ARCHOPTS=-Upowerpc \
-    FORCE_DRC_C_BACKEND=1 \
-    NOASM= \
     BIGENDIAN=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
-    PTR64=1 \
-    NOASM=1 \
-    BIGENDIAN=
+    PTR64=1 \
+    NOASM=
 endif
 
 ifeq ($(DEB_HOST_ARCH),s390)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     BIGENDIAN=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),s390x)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     PTR64=1 \
     BIGENDIAN=1
 endif
 
 ifeq ($(DEB_HOST_ARCH),sparc)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     BIGENDIAN=1
 endif
 
@@ -131,19 +117,25 @@
 ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
 DEB_OPTS += \
     TARGETOS=freebsd \
-    PTR64=1 \
-    FORCE_DRC_C_BACKEND= \
-    NOASM= \
-    BIGENDIAN=
+    BUILD_MIDILIB=1 \
+    FORCE_DRC_C_BACKEND= \
+    PTR64=1 \
+    NOASM=
 endif
 
 ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
 DEB_OPTS += \
     TARGETOS=freebsd \
+    BUILD_MIDILIB=1 \
     FORCE_DRC_C_BACKEND= \
     PTR64= \
-    NOASM= \
-    BIGENDIAN=
+    NOASM=
+endif
+
+# kFreeBSD architecture
+ifeq ($(DEB_HOST_ARCH),hurd-i386)
+DEB_OPTS += \
+    BUILD_MIDILIB=1
 endif
 
 DEB_MAME_OPTS = \
@@ -162,20 +154,20 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS)
+	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
 	$(CURDIR)/mame -createconfig
 	mv mame.ini default.mame.ini
 # Force rebuild to allow Mess specific value for INI_PATH
 	find obj -type f \
              -not -name \*.lh -and -not -name drivlist.c \
              -exec rm {} \;
-	$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) all
+	$(MAKE) $(DEB_OPTS) $(DEB_MESS_OPTS) all
 	$(CURDIR)/mess -createconfig
 	mv mess.ini default.mess.ini
 
 override_dh_auto_clean:
-	$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
-	$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
+	-$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
+	-$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
 	rm -rf obj
 	rm -f default.mame.ini default.mess.ini
