=== debian/changelog ===
mame (0.160-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * debian/patches:
    - removed man pages updates, contributed upstream
    - updated gnu-fixes to new source layout

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 27 Mar 2015 16:03:45 +0100

mame (0.159-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    - removed tools linkage fix
    - added man pages updates

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 27 Feb 2015 08:29:26 +0100

mame (0.158-1) unstable; urgency=medium

  * New upstream release
  * Fix permissions in mess-data resource files
  * debian/patches: fix tools linkage against system libraries

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 05 Feb 2015 09:31:58 +0100

mame (0.157-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: removed manpages updates, contributed upstream

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 02 Jan 2015 16:53:49 +0100

mame (0.156-1) unstable; urgency=medium

  * New upstream release
  * Updated man pages patch
  * Switch to SDL 2.0 on upstream recommendation
  * Improved mame.ini consistency by simlinking
    /usr/share/games/mess/* directories in /usr/share/games/mame/

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 08 Dec 2014 22:14:47 +0100

mame (0.155-1) unstable; urgency=medium

  * New upstream release
  * Removed old patches accepted upstream
  * New patch: fix typos and bump version in manpages
  * Use system jQuery lib instead of embedded one
  * Improved menu entries:
    + Added Keywords= entry in desktop files
    + Reworked and translated text into italian in desktop files
    + Added icons and menu file for Mess
  * Updated get-orig-source, upstream repo moved to Github
  * Reworked ctrlr dir, including cfg files now distributed upstream

 -- Cesare Falco <c.falco@ubuntu.com>  Mon, 27 Oct 2014 08:25:54 +0100
