=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: mame
 Section: non-free/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Cesare Falco <c.falco@ubuntu.com>,
- Emmanuel Kasper <emmanuel@libera.cc>,
- Jordi Mallach <jordi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cesare Falco <c.falco@ubuntu.com>
 Build-Depends: debhelper (>= 9),
  libexpat1-dev,
  libflac-dev,
@@ -12,8 +10,8 @@
  libjpeg-dev,
  libportmidi-dev [!hurd-any !kfreebsd-any],
  libqt4-dev (>= 4.7),
- libsdl-ttf2.0-dev,
- libsdl1.2-dev,
+ libsdl2-ttf-dev,
+ libsdl2-dev,
  libsqlite3-dev,
  libxinerama-dev,
  subversion,
@@ -86,7 +84,8 @@
 
 Package: mess-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ libjs-jquery-mobile
 Description: Data files for the Multi Emulator Super System (MESS)
  MESS is an emulator for various consoles and computing systems, sharing a
  lot of codebase with the MAME project.
