=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
     BUILD_SQLITE3= \
     BUILD_MIDILIB= \
     BUILD_FLAC= \
+    SDL_LIBVER=sdl2 \
     SYMBOLS= \
     SYMLEVEL= \
     DUMPSYM= \
@@ -166,14 +167,23 @@
 	mv mess.ini default.mess.ini
 
 override_dh_auto_clean:
-	-$(MAKE) $(DEB_MAME_OPTS) $(DEB_OPTS) clean
-	-$(MAKE) $(DEB_MESS_OPTS) $(DEB_OPTS) clean
+	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS) clean
+	$(MAKE) $(DEB_OPTS) $(DEB_MESS_OPTS) clean
 	rm -rf obj
 	rm -f default.mame.ini default.mess.ini
 
-# Remove OSX specific keymaps
+# Exclude embedded jQuery library
 override_dh_install:
-	dh_install --exclude=OSX.txt
+	dh_install --list-missing \
+               --exclude=dir.txt \
+               --exclude=js/jquery*.js
+
+override_dh_fixperms-indep:
+	dh_fixperms
+	chmod 644 debian/mess-data/usr/share/games/mess/artwork/*
+	chmod 644 debian/mess-data/usr/share/games/mess/ctrlr/*
+	chmod 644 debian/mess-data/usr/share/games/mess/hash/*
+	chmod 644 debian/mess-data/usr/share/games/mess/keymaps/*
 
 
 # Retrieve source from svn repo (recommended by upstream developers)
@@ -183,19 +193,23 @@
 MAME_PACKAGE = mame
 # Upstream source has no dot in its name, so we have to cut it out
 MAME_VERSION := $(shell echo $(VERSION) | sed -e 's/\.//' )
-MAME_URL = svn://dspnet.fr/mame/
-MAME_TAG = tags/$(MAME_PACKAGE)$(MAME_VERSION)
 MAME_SRCDIR = $(MAME_PACKAGE)-$(VERSION)
 MAME_TARBALL = $(MAME_PACKAGE)_$(VERSION).orig.tar.xz
 
 get-orig-source:
-	mkdir $(TMPDIR)
-	svn export $(MAME_URL)$(MAME_TAG) $(TMPDIR)/$(MAME_SRCDIR)
-	svn export $(MAME_URL)build/whatsnew/whatsnew_$(MAME_VERSION).txt \
+	mkdir -p $(TMPDIR)/$(MAME_SRCDIR)
+	wget -O source.tar.gz \
+        https://github.com/mamedev/mame/tarball/$(MAME_PACKAGE)$(MAME_VERSION)
+	tar -xzf source.tar.gz --strip-component=1 -C $(TMPDIR)/$(MAME_SRCDIR)/ \
+        --exclude=\.*
+	wget -O build.tar.gz https://github.com/mamedev/build/tarball/master
+	tar -xzf build.tar.gz --strip-component=1 -C $(TMPDIR)/
+	mv $(TMPDIR)/whatsnew/whatsnew_$(MAME_VERSION).txt \
         $(TMPDIR)/$(MAME_SRCDIR)/whatsnew.txt
-	svn export $(MAME_URL)build/messnew/messnew_$(MAME_VERSION).txt \
+	mv $(TMPDIR)/messnew/messnew_$(MAME_VERSION).txt \
         $(TMPDIR)/$(MAME_SRCDIR)/messnew.txt
+	unzip -od $(TMPDIR)/$(MAME_SRCDIR)/ $(TMPDIR)/mamedirs.zip
 	tar -C $(TMPDIR) -cf - $(MAME_SRCDIR) | xz -9c > $(MAME_TARBALL)
-	rm -rf $(TMPDIR)
+	rm -rf $(TMPDIR) source.tar.gz build.tar.gz
 
 .PHONY: get-orig-source
