=== debian/watch ===
version=3
opts="dversionmangle=s/u\d+//" \
 http://mamedev.org/release.html .*mame(\d)(\d+)s.exe
